@font-face {
    font-family: 'Lato-Italic';
    src: url('fonts/Lato-Italic.woff2') format('woff2'),
        url('fonts/Lato-Italic.woff') format('woff');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lato-Regular';
    src: url('fonts/Lato-Regular.woff2') format('woff2'),
        url('fonts/Lato-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato-Bold';
    src: url('fonts/Lato-Bold.woff2') format('woff2'),
        url('fonts/Lato-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato-Black';
    src: url('fonts/Lato-Black.woff2') format('woff2'),
        url('fonts/Lato-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

:root {
    --scale-start: 1;
    --scale-end: 1.3;
    --scale-start-downtown: 1;
    --scale-end-downtown: 1.3;

    /* Central colour variables */
    --color-primary: #1DA8AA;
    --color-primary-light: #55BEBF;
    --color-primary-lighter: #8ED3D4;
    --color-primary-lightest: #C6E9EA;
    --color-white: #ffffff;
    --color-black: #000000;
    --color-dark-gray: #4B4B4B;
    --color-mid-gray: #787878;
    --color-accent-red: #A81E1E;
    --color-banner-gray: #DBDBDB;
    --color-border-blue: #9DCCCE;
}

body {
    font-family: 'Lato-Regular', Arial, sans-serif;
    font-size: 16px;
    line-height: 1.5;
    background-color: var(--color-mid-gray);
}

#rotate-cover {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-primary);
    z-index: 999999999;
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: none;
    visibility: hidden;
}

.rotate-content {
    margin: auto;
    color: var(--color-white);
    font-size: 18px;
    text-align: center;
}

.rotate-text img {
    width: 70px;
    margin-bottom: 20px;
}

.rotate-text div {
    max-width: 340px;
}

main {
    width: 100%;
    max-width: 500px;
    min-height: 100vh;
    margin: 0 auto;
    background-color: var(--color-white);
    display: flex;
    flex-direction: column;
    position: relative;
}

.on-desktop::after {
    content: "This game is designed for mobile.";
    position: absolute;
    top: calc(100vh/2);
    right: -200px;
    transform: translateY(-50%);
    width: 200px;
    height: 113px;
    background-color: var(--color-white);
    background-image: url(../assets/mobile_only_icon.svg);
    padding: 20px;
    padding-left: 90px;
    background-repeat: no-repeat;
    background-size: 75% 75%;
    background-position: left -30px center;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    box-shadow: 15px 0px 15px -15px rgba(0, 0, 0, 0.3) inset;
}

.welcome-main {
    background-image: url(../assets/welcome_map_bg.png);
    background-size: 210%;
    background-position: center center;
    animation: map-ani 80s ease-in-out 1s infinite alternate;
}

@keyframes map-ani {
    0%, 100% {
        background-position: center center;
        background-size: 210%;
    }
    5% {
        background-position: top left;
        background-size: 210%;
    }
    10% {
        background-position: top left;
        background-size: 250%;
    }
    15% {
        background-position: top left;
        background-size: 250%;
    }
    20% {
        background-position: top left;
        background-size: 210%;
    }
    25% {
        background-position: bottom right;
        background-size: 210%;
    }
    30% {
        background-position: bottom right;
        background-size: 300%;
    }
    35% {
        background-position: bottom right;
        background-size: 300%;
    }
    40% {
        background-position: bottom right;
        background-size: 210%;
    }
    45% {
        background-position: center left;
        background-size: 210%;
    }
    45% {
        background-position: center left;
        background-size: 210%;
    }
    50% {
        background-position: center left;
        background-size: 250%;
    }
    55% {
        background-position: center left;
        background-size: 250%;
    }
    60% {
        background-position: center left;
        background-size: 210%;
    }
    65% {
        background-position: center right;
        background-size: 210%;
    }
    70% {
        background-position: center right;
        background-size: 250%;
    }
    75% {
        background-position: center right;
        background-size: 250%;
    }
    80% {
        background-position: center right;
        background-size: 210%;
    }
    85% {
        background-position: bottom right;
        background-size: 210%;
    }
    90% {
        background-position: bottom right;
        background-size: 250%;
    }
    95% {
        background-position: bottom right;
        background-size: 250%;
    }
}

.flex {
    display: flex;
}

.flex-hor {
    justify-content: space-between;
    align-items: center;
}

.flex-vert {
    flex-direction: column;
    align-items: center;
}

.flex-right {
    justify-content: flex-end;
}

.flex-center {
    justify-content: center;
}

.flex-grow {
    flex-grow: 1;
}

.blue-text {
    color: var(--color-primary);
}

header {
    margin-bottom: 20px;
}

.login-header {
    background-image: url(../assets/login_header_bg.jpg);
    background-size: cover;
}

.register-header {
    background-image: url(../assets/register_header_bg.jpg);
    background-size: cover;
}

.how-header {
    background-image: url(../assets/register_header_bg.jpg);
    background-size: cover;
}

.menu-header {
    background-image: url(../assets/register_header_bg.jpg);
    background-size: cover;
}

.header-logos {
    padding: 20px;
}

.header-logos img:first-child {
    margin-bottom: 5px;
}

.header-logos img:last-child {
    transform: translateY(5px);
}

.header-title {
    padding: 20px;
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
    font-size: 22px;
    color: var(--color-primary);
}

.gradation {
    position: sticky;
    top: 0;
    z-index: 5000;
    height: 29px;
}

.gradation > div {
    height: 30px;
    width: 20%;
}

.gradation > div:nth-child(1) {
    background-color: var(--color-primary);
}

.gradation > div:nth-child(2) {
    background-color: var(--color-primary-light);
}

.gradation > div:nth-child(3) {
    background-color: var(--color-primary-lighter);
}

.gradation > div:nth-child(4) {
    background-color: var(--color-primary-lightest);
}

.gradation > div:nth-child(5) {
    background-color: var(--color-white);
}

.cs-logo {
    width: 185px;
}

.cs-logo-bg {
    width: 100%;
    background-color: rgba(198, 233, 234, 0.4);
    padding: 20px;
    margin-top: 20px;
}

.cs-logo-bg img {
    margin: 0 auto;
    width: 220px;
}

.phcc-logo {
    width: 130px;
    margin-top: 20px;
}

.hm-logo {
    width: 75px;
}

.login-title {
    width: 170px;
}

.register-title {
    width: 170px;
}

.game-title {
    width: 220px;
}

.menu-title {
    width: 200px;
}

.reset-title {
    width: 250px;
}

.how-title {
    width: 250px;
}

.leaderboard-title {
    width: 250px;
    margin-top: 10px;
}

.banner {
    text-align: center;
    padding: 20px;
    transform: translateY(-20px);
    color: var(--color-white);
    background-color: var(--color-dark-gray);
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-size: 22px;
    font-weight: bold;
}

.welcome-banner {
    color: var(--color-white);
    background-color: var(--color-dark-gray);
    font-family: 'Lato-Italic', Arial, sans-serif;
    font-style: italic;
    font-weight: normal;
    margin-bottom: 40px;
    padding: 10px 20px;
    line-height: 1.3;
    /* font-size: 20px; */
}

#welcome-btns {
    margin-bottom: 60px;
}

.welcome-btn {
    display: none;
}

#countdown-holder {
    background-color: var(--color-primary);
    color: var(--color-white);
    text-align: center;
    padding: 20px;
    margin: 0 auto;
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
    margin-bottom: 20px;
    display: none; 
}

.countdown-header span {
    display: block;
}

.countdown-header span {
    display: block;
}

.countdown-header span:last-child {
    font-size: 18px;
}

.countdown-col div:first-child {
    background-color: var(--color-white);
    color: var(--color-black);
    font-size: 28px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 45px;
    height: 45px;
}

.countdown-col div:last-child {
    font-family: 'Lato-Regular', Arial, sans-serif;
    font-weight: normal;
    font-size: 12px;
}

sup {
    font-size: 60%;
    transform: translateY(2px);
    display: inline-block;
}

.padding-common {
    padding: 0 30px;
}

a {
    display: inline-block;
    border-bottom: solid 1px var(--color-primary);
}

h2 {
    font-size: 120%;
    margin-bottom: 20px;
}

#loginForm {
    margin: 20px 0;
}

#registerForm p:first-child {
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
    margin-bottom: 20px;
}

#registerForm p:first-child span {
    color: #1DA8AA;
}

#registerForm p:nth-child(2) {
    margin-bottom: 20px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
}

label span {
    font-family: 'Lato-Regular', Arial, sans-serif;
    font-weight: normal;
}

.icon {
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    color: var(--color-white);
    line-height: 1.3;
    text-align: center;
    font-size: 14px;
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
    font-style: normal;
    flex-shrink: 0;
    margin-right: 10px;
    transform: translateY(3px);
}

.info-icon {
    background-color: var(--color-primary);
}

.alert-icon {
    background-color: var(--color-accent-red);
}

.icon-popup {
    position: absolute;
    display: inline-block;
    top: 0;
    left: 20px;
    background-color: var(--color-white);
    border: solid 1px var(--color-primary);
    width: 150px;
    color: var(--color-black);
    padding: 10px;
    text-align: left;
}

input {
    padding: 10px 15px;
    margin-bottom: 10px;
    font-size: inherit;
    font-family: inherit;
    width: 100%;
    background-color: var(--color-primary-lightest);
    border-radius: 15px;
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0px 40rem var(--color-primary-lightest) inset;
}

.reg-login-text {
    font-family: 'Lato-Italic', Arial, sans-serif;
    font-style: italic;
    color: var(--color-primary);
    margin-bottom: 10px;
}

.reg-text-bottom {
    margin: 20px 0;
}

button {
    font-size: 26px;
    padding: 5px 20px;
    background-color: var(--color-primary);
    color: var(--color-white);
    border: none;
    border-radius: 15px;
    margin: 5px 0;
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
}

.dark-btn {
    background-color: var(--color-dark-gray) !important;
}

.tech-btns {
    font-family: 'Lato-Regular', Arial, sans-serif;
    font-weight: normal;
    font-size: 16px;
    border: solid 2px var(--color-primary);
    background-color: transparent !important;
    color: var(--color-primary);
}

#menu button {
    background-color: var(--color-primary);
}

#hamburger, #close {
    padding: 0;
    font-size: 200%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 7px;
}

#forget {
    font-size: 14px;
}

#play {
    text-align: right;
}

#close {
    font-size: 150%;
    padding-bottom: 0;
    font-weight: bold;
}

#message {
    display: flex;
}

.msg {
    margin: 20px 0;
}

.popup {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: #fff;
    z-index: 100000;
    display: none;
    max-width: 500px;
    margin: 0 auto;
}

#map-section {
    position: relative;
    padding: 40px 20px;
    background-color: var(--color-primary);
}

#map-holder {
    overflow: hidden;
    height: 500px;
    border-radius: 30px;
    border: solid 2px var(--color-white);
}

#map {
    width: 611px;
    height: 792px;
    z-index: 1;
}

#map-section button {
    position: absolute;
    top: 18px;
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    padding: 0;
    border: solid 2px var(--color-white);
    /* background-color: var(--color-dark-gray); */
}

#map-section button img {
    width: 15px;
}

#zoom-in {
    left: 50px;
}

#zoom-out {
    left: 90px;
}

#reset {
    left: 135px;
}

#full-screen {
    right: 50px;
}

.full-screen-map {
    position: fixed !important;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100vw;
    max-width: 500px;
    height: 100vh !important;
    z-index: 100000; 
    border-radius: 0 !important;
    margin: 0 auto;
}

.full-screen-map-holder {
    height: 100% !important;
}

.loc {
    transform-origin: center;
    transform-box: fill-box;
}

.loc-ani {
    animation: circle-ani 1.5s ease-out infinite; 
}

.loc-ani-downtown {
    animation: circle-ani-downtown 1.5s ease-out infinite; 
}

@keyframes circle-ani {
    0% {
        transform: scale(var(--scale-start));
        opacity: 0;
    }
    10% {
        opacity: 1;
    }
    100% {
        transform: scale(var(--scale-end));
        opacity: 0;
    }
}

@keyframes circle-ani-downtown {
    0% {
        transform: scale(var(--scale-start-downtown));
        opacity: 0;
    }
    10% {
        opacity: 1;
    }
    100% {
        transform: scale(var(--scale-end-downtown));
        opacity: 0;
    }
}

.num-complete {
    background-color: var(--color-primary-lighter) !important;
    font-size: 20px !important;
    color: var(--color-black) !important;
}

#letters {
    display: grid; 
    grid-template-columns: repeat(auto-fill, 50px); 
    justify-content: space-between; 
    grid-gap: 10px;
    margin-bottom: 20px;
}

#letters div {
    min-width: 50px;
    min-height: 50px;
    border-radius: 15px;
    background-color: var(--color-primary);
    color: var(--color-white);
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Lato-Black', Arial, sans-serif;
    font-weight: 900;
    font-size: 22px;
}

#verify-start {
    height: 100%;
    padding: 10px;
    overflow-x: auto;
}

.location-card {
    display: grid;
    grid-template-rows: 60px;
    background-color: var(--color-dark-gray);
    border-radius: 20px;
    box-shadow: 5px 5px 6px 0px rgba(75,75,75,0.4);
    padding: 10px;
    min-height: calc(100vh - 20px);
}

.location-card-physical {
    background-color: var(--color-primary);
}

.location-card-birthday {
    background-color: var(--color-primary);
    grid-template-rows: max-content;
}

.card-header {
    justify-content: center;
    gap: 20px;
}

.location-card-birthday .card-header {
    line-height: 1;
    align-items: flex-start;
}

.card-header img {
    width: 50px;
}

.card-header div {
    font-family: 'Lato-Black', Arial, sans-serif;
    font-weight: 900;
    font-size: 40px;
    color: var(--color-white);
}

.card-img {
    padding: 10px;
}

.card-img img {
    width: 100%;
}

.card-content {
    background-color: var(--color-white);
    margin: 10px 0;
}

.card-content-question {
    padding: 20px;
    text-align: center;
}

.card-content-result {
    margin-bottom: 20px;
}

.card-question span {
    color: var(--color-primary);
}

.select-text {
    color: var(--color-white);
    text-align: center;
}

.bus-info {
    padding: 10px;
    text-align: center;
}

.bus-logo {
    margin: 0 auto;
    max-width: 230px;
    max-height: 100px;
}

.bus-logo-birthday {
    max-height: 130px;
    margin-top: 20px;
}

.bus-overview {
    background-color: var(--color-primary); 
}

.bus-overview-physical {
    background-color: var(--color-dark-gray); 
}

.bus-overview .name {
    color: var(--color-white);
    text-transform: uppercase;
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
    text-align: center;
    padding: 10px;
    padding-bottom: 5px;
    font-size: 18px;
}

.overview-btns {
    background-color: var(--color-white);
    border: solid 5px var(--color-primary);
    padding: 20px;
}

.overview-btns-physical {
    border-color: var(--color-dark-gray);
}

.start-btns {
    justify-content: center;
    gap: 40px;
}

.start-btns button {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    font-size: 16px;
    padding: 0;
    border: solid 3px transparent;
    background-color: var(--color-primary);
}

.start-btns button:first-child, .bonus-btn {
    background-color: var(--color-white) !important;
    border-color: var(--color-primary) !important;
    color: var(--color-primary);
}

.bonus-btn {
    width: 80px !important;
    height: 80px !important;
}

.start-instruct {
    display: flex;
    font-size: 14px;
    font-family: 'Lato-Italic', Arial, sans-serif;
    font-style: italic;
}

.bonus-thx {
    white-space: nowrap;
    margin-bottom: 10px;
    color: var(--color-primary);
}

.bonus-thx span {
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
    font-size: 20px;
}

#bonus-txt {
    width: 100%;
    height: 140px;
    background-color: var(--color-white);
    padding: 10px;
    border: solid 1px var(--color-primary);
    resize: none;
    font-family: 'Lato-Regular', Arial, sans-serif;
    font-weight: normal;
    font-size: 16px;
}

.bonus-thx img {
    width: 18px;
    margin-left: 10px;
}

.feedback-thx {
    display: none;
}

footer {
    margin-top: auto;
    padding-top: 30px;
    /* border-top: solid 0.5px #1DA8AA;  */
}

.welcome-footer {
    background-color: var(--color-banner-gray);
}

.footer-logos > img {
    width: 110px;
}

.footer-logos > div > img {
    width: 95px;
}

.footer-logos > div > div {
    font-family: 'Lato-Italic', Arial, sans-serif;
    font-style: italic;
    font-size: 14px;
}

.copy-right {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 10px;
    font-size: 12px;
}

.space-before {
    margin-top: 20px;
}

.space-before10 {
    margin-top: 10px;
}

.space-before40 {
    margin-top: 40px;
}

#answers {
    padding: 0 10px;
}

#answers button {
    width: 100%;
    background-color: var(--color-border-blue);
    border: solid 3px var(--color-white);
    font-size: 16px;
    color: var(--color-black);
    font-family: 'Lato-Regular', Arial, sans-serif;
    font-weight: normal;
    padding: 15px;
    min-height: 75px;
}

.answers-button-physical {
    background-color: var(--color-white) !important;
    border-color: var(--color-border-blue) !important;
}

#answers button:first-child {
    margin-top: 0;
}

#answers button:last-child {
    margin-bottom: 0;
}

.correct-trivia {
    background-color: var(--color-primary) !important;
    color: var(--color-white) !important;
}

.wrong-trivia {
    background-color: var(--color-dark-gray) !important;
    border-color: var(--color-white) !important;
}

.correct-physical, .correct-birthday {
    background-color: var(--color-dark-gray) !important;
    color: var(--color-white) !important;
    border-color: var(--color-white) !important;
}

.wrong-physical, .wrong-birthday {
    background-color: var(--color-primary) !important;
}

#question-feedback {
    padding: 20px;
    color: var(--color-white);
}

#question-feedback > div:first-child img {
    height: 16px;
    width: auto;
    margin-left: 10px;
}

#question-feedback > div:last-child img {
    width: 33px;
    margin-right: 10px;
}

.ques-result {
    display: none;
}

.earned {
    font-size: 20px;
}

.letter {
    display: flex; 
    background-color: var(--color-primary);
    color: var(--color-white);
    padding: 20px;
    font-size: 130px;
    border-radius: 30px;
    line-height: 1;
    width: 165px;
    height: 165px;
    margin-left: auto;
    margin-right: auto;
    justify-content: center;
    align-items: center;
    font-family: 'Lato-Black', Arial, sans-serif;
    font-weight: 900;
}

#points {
    font-family: 'Lato-Black', Arial, sans-serif;
    font-weight: 900;
    font-size: 45px;
    color: var(--color-primary);
}

#timer-result {
    justify-content: center;
}

#timer-result img {
    width: 42px;
    margin-right: 15px;
}

#timer-result span {
    font-size: 22px;
}

.grid-row {
    display: grid;
    grid-template-columns: 50px 1fr 56px;
    margin-bottom: 5px;
}

.grid-row:last-child {
    margin-bottom: 20px;
}

.grid-header {
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
}

.grid-row:not(.grid-header) {
    background-color: var(--color-primary-lightest);
}

.grid-row span {
    padding: 5px 7px;
}

.leaderboard-header {
    background-image: url(../assets/register_header_bg.jpg);
    background-size: cover;
}

.lb1 {
    background-color: var(--color-primary);
    color: var(--color-white);
}

.lb2 {
    background-color: var(--color-primary-light) !important;
}

.lb3 {
    background-color: var(--color-primary-lighter) !important;
}

.lb-divider {
    border: solid 3px var(--color-primary);
    margin: 10px 0; 
}

.modal {
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1000000;
  }
  
.modal-content {
    width: 80%;
    max-width: 460px;
    overflow: auto;
    padding: 50px;
    background-color: var(--color-white);
    border: solid 1px var(--color-primary);
    color: var(--color-black);
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal-close {
    position: absolute;
    right: 10px;
    top: 25px;
    width: 30px;
    height: 30px;
    display: block;
}

.modal-close span {
    position: fixed;
    width: 30px;
    height: 4px;
    background-color: var(--color-primary);
}

.modal-close span:nth-child(1) {
    transform: rotate(45deg);
}

.modal-close span:nth-child(2) {
    transform: rotate(135deg);
}

.list {
    position: relative;
    margin-left: 20px;
    margin-right: 30px;
    margin-bottom: 20px;
    padding-left: 60px;
}

.list::before {
    content: attr(data-num);
    position: absolute;
    left: 0;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url(../assets/list_num_bg.svg);
    background-size: cover;
    color: #fff;
    font-size: 30px;
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
}

i {
    display: inline-block;
    width: 22px;
    height: 22px;
    background-size: cover;
    transform: translateY(5px);
}

i.star {
    background-image: url(../assets/star.svg);
}

i.pin {
    background-image: url(../assets/pin.svg);
}

i.b-day {
    background-image: url(../assets/b-day.svg);
}

.bold {
    font-family: 'Lato-Bold', Arial, sans-serif;
    font-weight: bold;
}

.italic {
    font-family: 'Lato-Italic', Arial, sans-serif;
    font-style: italic;
}

.how-title-bar {
    background-color: var(--color-dark-gray);
    color: var(--color-white);
    text-align: center;
    padding: 10px 20px;
    font-size: 22px;
}

.check {
    position: relative;
    padding-left: 50px;
}

.check::before {
    content: "";
    position: absolute;
    left: 30px;
    top: 3px;
    width: 16px;
    height: 16px;
    background-image: url(../assets/check_blue.svg);
    background-repeat: no-repeat;
}